Redmine - Defect #9832

Revision graph height should depend on height of rows in revisions table

2011-12-18 11:55 - Jakob Skjerning

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: 1.3.1

Resolution: Fixed Affected version: 1.3.0
Description

The new revision graph from #5501 is nice and looks fine - at least on the default theme. However, it doesn't behave well when

displayed using many of the existing third party themes.

At the very least the graph should adapt to the actual height of the rows of the revisions list instead of blindly assuming a hardcoded

value of 20 pixels.

The attached patch fixes this.

Related issues:
Has duplicate Redmine - Feature #9846: Provide the way for theme developers t...

Closed

Associated revisions

Revision 8795 - 2012-02-06 03:58 - Toshi MARUYAMA
scm: fix revision graph height is hard-coded (#9832)

Contributed by Jakob Skjerning.

Revision 8796 - 2012-02-06 04:08 - Toshi MARUYAMA
Merged r8795 from trunk (#9832)

scm: fix revision graph height is hard-coded.

Contributed by Jakob Skjerning.

History

#1 - 2011-12-18 11:57 - Jakob Skjerning
Redmine version: Redmine 1.3.0.devel.8277 (MySQL)

Output from script/about:

About your application's environment

Ruby version 1.8.7 (i686-darwin10.8.0)
RubyGems version 1.3.7

Rack version 1.1.2

Rails version 2.3.14

Active Record version 2.3.14
Active Resource version 2.3.14
Action Mailer version 2.3.14
Active Support version 2.3.14

Application root /Users/jakob/Projects/OpenSource/redmine/redmine-trunk
Environment development
Database adapter mysq|l

Database schema version 20111201201315

#2 - 2011-12-18 12:49 - Toshi MARUYAMA
- Category changed from Ul to SCM

#3 - 2012-02-06 02:27 - Toshi MARUYAMA
https://www.redmine.org/issues/5501

- Affected version (unused) changed from devel to 1.3.0

- Affected version set to 1.3.0

#4 - 2012-02-06 04:04 - Toshi MARUYAMA

- Target version set to 1.3.1

#5 - 2012-02-06 05:36 - Toshi MARUYAMA
- File 1.3-stable-r8781.png added
- File 1.3-stable-r8796.png added

- File theme-simple.diff added

- Status changed from New to Closed

- Resolution set to Fixed

These are images with attachment theme.

Latest revisions

#
defaultd44:a5ba73edbcha

43:1a6c86a76ef0

42:5266eac53clc

41:03cdag7804e3
39:dca5c8f81f8a
37:9ad91a671e13

Latest revisions

Files

#
default44:a5ba73edbcba

43:1a6c86a76ef0

42:5266eac53clc
Date
02/21/2011 08:15 pr

02/21/2011 07:46 pr

02/21/2011 03:00 pr

02/08/2011 03:59 pr

11/03/2010 10:05 pr

11/03/2010 09:56 pr

10/29/2010 07:31 pr
1.3-stable-r8796.png 17.7 KB 2012-02-06 Toshi MARUYAMA
theme-simple.diff 601 Bytes 2012-02-06 Toshi MARUYAMA
